Bug 1465457 - sssd-kcm crashes with multiple parallel requests
sssd-kcm crashes with multiple parallel requests
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd (Show other bugs)
7.4
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: SSSD Maintainers
Niranjan Mallapadi Raghavender
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-27 09:16 EDT by Niranjan Mallapadi Raghavender
Modified: 2017-08-21 06:35 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Niranjan Mallapadi Raghavender 2017-06-27 09:16:42 EDT
Description of problem:

sssd_kcm crashes when kinit is run by multiple users repetitively (in a loop). 

Version-Release number of selected component (if applicable):


sssd-client-1.15.2-50.el7.x86_64
sssd-ipa-1.15.2-50.el7.x86_64
sssd-proxy-1.15.2-50.el7.x86_64
python-sssdconfig-1.15.2-50.el7.noarch
sssd-common-1.15.2-50.el7.x86_64
sssd-common-pac-1.15.2-50.el7.x86_64
sssd-ad-1.15.2-50.el7.x86_64
sssd-ldap-1.15.2-50.el7.x86_64
sssd-1.15.2-50.el7.x86_64
sssd-kcm-1.15.2-50.el7.x86_64
sssd-krb5-common-1.15.2-50.el7.x86_64
sssd-krb5-1.15.2-50.el7.x86_64
libtevent-0.9.31-1.el7.x86_64
libtalloc-2.1.9-1.el7.x86_64

How reproducible:


Steps to Reproduce:
1. Join RHEL4 system to Windows AD using realm

2. Enable sssd-kcm 

3. 
sssd.conf
[sssd]
config_file_version = 2
services = nss, pam
domains = centaur.test

[domain/centaur.test]
ad_domain = centaur.test
krb5_realm = CENTAUR.TEST
cache_credentials = True
id_provider = ad
krb5_store_password_if_offline = True
default_shell = /bin/bash
ldap_id_mapping = True
use_fully_qualified_names = True
fallback_homedir = /home/%u@%d
ldap_id_mapping = True
access_provider = ad
enumerate = True
debug_level = 6

[pam]
debug_level = 9

[ssh]

[sudo]

[kcm]
debug_level = 9



4. Create 3 users in AD (foobar1, foobar2, foobar3 with password Secret123)

Open 3 terminals and run the below in parallel

#/bin/bash
export KRB5CCNAME=KCM:
date
echo Secret123 | kinit foobar1
date;for i in $(seq 1 100); do klist -A; done

On terminal 2

export KRB5CCNAME=KCM:
date
echo Secret123 | kinit foobar2
date;for i in $(seq 1 100); do klist -A; done
 
On terminal 3 run, 
 
export KRB5CCNAME=KCM:
date
echo Secret123 | kinit foobar3
date;for i in $(seq 1 100); do klist -A; done

 
Actual results:
sssd-kcm crashes. 


Expected results:
sssd-kcm should not crash.


Additional info:
Refer: https://bugzilla.redhat.com/show_bug.cgi?id=1446302#c11
Comment 2 Lukas Slebodnik 2017-07-25 06:05:32 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=1446302#c26
Comment 3 Jakub Hrozek 2017-08-10 07:28:40 EDT
Upstream ticket:
https://pagure.io/SSSD/sssd/issue/3470

Note You need to log in before you can comment on or make changes to this bug.